Bug 110621 - [UPDATE]update biojava to 1.5beta2:a Java framework for processing biological data.
Summary: [UPDATE]update biojava to 1.5beta2:a Java framework for processing biological...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-21 15:10 UTC by Nemo Liu
Modified: 2007-03-27 09:10 UTC (History)
0 users

See Also:


Attachments
file.txt (2.93 KB, text/plain)
2007-03-21 15:10 UTC, Nemo Liu
no flags Details
patch-biojava.txt (3.54 KB, patch)
2007-03-23 15:28 UTC, Nemo Liu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nemo Liu 2007-03-21 15:10:03 UTC
update biojava to 1.5beta2.
BioJava is an open-source project dedicated to providing a Java framework for processing biological data. It include objects for manipulating biological sequences, file parsers, DAS client and server support, access to BioSQL and Ensembl databases, tools for making sequence analysis GUIs and powerful analysis and statistical routines including a dynamic programming toolkit.

BioJava is used in several real-world bioinformatics applications and has been used for bioinformatics analysis in a number of published studies.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-03-23 08:56:14 UTC
State Changed
From-To: open->feedback

Hi 

Can you please check the patch? ... It gives an error.. 

[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioFlatIndex.java:329: cannot find symbol 
[javac] symbol  : class HelpFormatter 
[javac] location: class org.biojava.app.BioFlatIndex 
[javac]         HelpFormatter help = new HelpFormatter(); 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioFlatIndex.java:329: cannot find symbol 
[javac] symbol  : class HelpFormatter 
[javac] location: class org.biojava.app.BioFlatIndex 
[javac]         HelpFormatter help = new HelpFormatter(); 
[javac]                                  ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:66: cannot find symbol 
[javac] symbol  : class Options 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Options opts = createOptions(); 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:70: cannot find symbol 
[javac] symbol  : class CommandLine 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]             CommandLine cmd = new GnuParser().parse(opts, argv); 
[javac]             ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:70: cannot find symbol 
[javac] symbol  : class GnuParser 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]             CommandLine cmd = new GnuParser().parse(opts, argv); 
[javac]                                   ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:112: cannot find symbol 
[javac] symbol  : class MissingOptionException 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         catch (MissingOptionException moe) 
[javac]                ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:116: cannot find symbol 
[javac] symbol  : class MissingArgumentException 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         catch (MissingArgumentException mae) 
[javac]                ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:120: cannot find symbol 
[javac] symbol  : class UnrecognizedOptionException 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         catch (UnrecognizedOptionException uoe) 
[javac]                ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:132: cannot find symbol 
[javac] symbol  : class Options 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Options opts = new Options(); 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:132: cannot find symbol 
[javac] symbol  : class Options 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Options opts = new Options(); 
[javac]                            ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:135: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option dbname = new Option("d", "dbname", hasArg, 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:135: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option dbname = new Option("d", "dbname", hasArg, 
[javac]                             ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:139: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option format = new Option("f", "format", hasArg, 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:139: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option format = new Option("f", "format", hasArg, 
[javac]                             ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:144: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option help = new Option("h", "help", ! hasArg, 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:144: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option help = new Option("h", "help", ! hasArg, 
[javac]                           ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:148: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option namespace = new Option("n", "namespace", hasArg, 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:148: cannot find symbol 
[javac] symbol  : class Option 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         Option namespace = new Option("n", "namespace", hasArg, 
[javac]                                ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:163: cannot find symbol 
[javac] symbol  : class HelpFormatter 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         HelpFormatter help = new HelpFormatter(); 
[javac]         ^ 
[javac] /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:163: cannot find symbol 
[javac] symbol  : class HelpFormatter 
[javac] location: class org.biojava.app.BioGetSeq 
[javac]         HelpFormatter help = new HelpFormatter(); 
[javac]                                  ^ 
[javac] Note: Some input files use or override a deprecated API. 
[javac] Note: Recompile with -Xlint:deprecation for details. 
[javac] 64 errors 

BUILD FAILED 
/usr/home/miwi/dev/ports/biology/biojava/work/build.xml:322: Compile failed; see the compiler error output for details. 

Total time: 17 seconds 
*** Error code 1 

Stop in /usr/home/miwi/dev/ports/biology/biojava. 




Comment 2 Martin Wilke freebsd_committer 2007-03-23 08:56:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

take
Comment 3 Nemo Liu 2007-03-23 15:28:13 UTC
I had make a mistake of BUILD_DEPNEDS. I fix it now. The attachment is
the new patch.

On 3/23/07, nemo <nemoliu@gmail.com> wrote:
> ok,I will check it now.
>
>
> On 3/23/07, Martin Wilke <miwi@freebsd.org> wrote:
> > Synopsis: [UPDATE]update biojava to 1.5beta2:a Java framework for
> processing biological data.
> >
> > State-Changed-From-To: open->feedback
> > State-Changed-By: miwi
> > State-Changed-When: Fri Mar 23 08:56:14 UTC 2007
> > State-Changed-Why:
> > Hi
> >
> > Can you please check the patch? ... It gives an error..
> >
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioFlatIndex.java:329:
> cannot find symbol
> >     [javac] symbol  : class HelpFormatter
> >     [javac] location: class org.biojava.app.BioFlatIndex
> >     [javac]         HelpFormatter help = new HelpFormatter();
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioFlatIndex.java:329:
> cannot find symbol
> >     [javac] symbol  : class HelpFormatter
> >     [javac] location: class org.biojava.app.BioFlatIndex
> >     [javac]         HelpFormatter help = new HelpFormatter();
> >     [javac]                                  ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:66:
> cannot find symbol
> >     [javac] symbol  : class Options
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Options opts = createOptions();
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:70:
> cannot find symbol
> >     [javac] symbol  : class CommandLine
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]             CommandLine cmd = new GnuParser().parse(opts,
> argv);
> >     [javac]             ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:70:
> cannot find symbol
> >     [javac] symbol  : class GnuParser
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]             CommandLine cmd = new GnuParser().parse(opts,
> argv);
> >     [javac]                                   ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:112:
> cannot find symbol
> >     [javac] symbol  : class MissingOptionException
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         catch (MissingOptionException moe)
> >     [javac]                ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:116:
> cannot find symbol
> >     [javac] symbol  : class MissingArgumentException
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         catch (MissingArgumentException mae)
> >     [javac]                ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:120:
> cannot find symbol
> >     [javac] symbol  : class UnrecognizedOptionException
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         catch (UnrecognizedOptionException uoe)
> >     [javac]                ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:132:
> cannot find symbol
> >     [javac] symbol  : class Options
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Options opts = new Options();
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:132:
> cannot find symbol
> >     [javac] symbol  : class Options
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Options opts = new Options();
> >     [javac]                            ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:135:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option dbname = new Option("d", "dbname", hasArg,
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:135:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option dbname = new Option("d", "dbname", hasArg,
> >     [javac]                             ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:139:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option format = new Option("f", "format", hasArg,
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:139:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option format = new Option("f", "format", hasArg,
> >     [javac]                             ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:144:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option help = new Option("h", "help", ! hasArg,
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:144:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option help = new Option("h", "help", ! hasArg,
> >     [javac]                           ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:148:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option namespace = new Option("n", "namespace",
> hasArg,
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:148:
> cannot find symbol
> >     [javac] symbol  : class Option
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         Option namespace = new Option("n", "namespace",
> hasArg,
> >     [javac]                                ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:163:
> cannot find symbol
> >     [javac] symbol  : class HelpFormatter
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         HelpFormatter help = new HelpFormatter();
> >     [javac]         ^
> >     [javac]
> /usr/home/miwi/dev/ports/biology/biojava/work/apps/org/biojava/app/BioGetSeq.java:163:
> cannot find symbol
> >     [javac] symbol  : class HelpFormatter
> >     [javac] location: class org.biojava.app.BioGetSeq
> >     [javac]         HelpFormatter help = new HelpFormatter();
> >     [javac]                                  ^
> >     [javac] Note: Some input files use or override a deprecated API.
> >     [javac] Note: Recompile with -Xlint:deprecation for details.
> >     [javac] 64 errors
> >
> > BUILD FAILED
> >
> /usr/home/miwi/dev/ports/biology/biojava/work/build.xml:322:
> Compile failed; see the compiler error output for details.
> >
> > Total time: 17 seconds
> > *** Error code 1
> >
> > Stop in /usr/home/miwi/dev/ports/biology/biojava.
> >
> >
> >
> >
> > Responsible-Changed-From-To: freebsd-ports-bugs->miwi
> > Responsible-Changed-By: miwi
> > Responsible-Changed-When: Fri Mar 23 08:56:14 UTC 2007
> > Responsible-Changed-Why:
> > take
> >
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=110621
> >
>
>
Comment 4 Martin Wilke freebsd_committer 2007-03-27 09:01:51 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2007-03-27 09:02:10 UTC
miwi        2007-03-27 08:01:54 UTC

  FreeBSD ports repository

  Modified files:
    biology/biojava      Makefile distinfo 
    biology/biojava/files patch-build.xml 
  Log:
  - Update to 1.5-beta2
  - Pass maintainership to submitter
  
  PR:             110621
  Submitted by:   Nemo Liu<nemoliu@gmail.com>
  
  Revision  Changes    Path
  1.13      +9 -8      ports/biology/biojava/Makefile
  1.6       +3 -3      ports/biology/biojava/distinfo
  1.2       +2 -2      ports/biology/biojava/files/patch-build.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"